Tips and Tools

 

Mavericks - What OS Do I Need to Upgrade?

Mavericks has been released in the same method as Lion and Mountain Lion before it - through the Mac App Store. The Mac App Store began being bundled with OS X 10.6.6 and above, but Apple lists running OS X Snow Leopard 10.6.8 or later as a requirement to upgrading.  If you are running a previous version of Snow Leopard, you can simply run your Software Updates and update to the latest version and be ready to upgrade your OS to Mavericks.

Leap-frogging Lion and Mountain Lion

Apple only lists the OS requirement as Snow Leopard or later - users do not have to upgrade their operating system incrementally to be able to install Mavericks. For example, a user running the latest version of Snow Leopard does not have to worry about installing Lion, then Mountain Lion, then Mavericks - this user will be able to go direct to Mavericks. As long as you are running the required OS of 10.6.8 or later, you simply need to access the App Store, download Mavericks, and let your Mac do the rest for you - and the newest version of OS X will be at your fingertips.

Run Software Updates

Even if your machine currently meets the OS requirements, running Software Updates from your Apple Menu before upgrading is a great idea regardless of which version of OS X you have installed, and will also ensure your machine has the latest updates to included software such as Safari, iCalendar, and more – this will make updating to Mavericks just that much more smooth of a process for you. We always recommend users run Software Updates and use the latest version of their OS, even when not preparing to upgrade to a new operating system. Each update to the operating system includes bug fixes and can even include security fixes, ensuring your computer runs as smoothly and safely as possible.

Read on to find out about memory requirements for Mavericks.